From 776c95fd137742e4e52a638f89f0d589433c674d Mon Sep 17 00:00:00 2001
From: John Darrington <john@darrington.wattle.id.au>
Date: Sat, 12 Mar 2016 22:18:22 +0100
Subject: [PATCH 1/2] Testsuite: Make more friendly running under wine

---
 tests/atlocal.in                               |  12 ++
 tests/data/calendar.at                         |   2 +-
 tests/data/data-in.at                          |  36 ++---
 tests/data/data-out.at                         |  18 +--
 tests/data/encrypted-file.at                   |   6 +-
 tests/data/file.at                             |  10 +-
 tests/data/format-guesser.at                   |   2 +-
 tests/data/pc+-file-reader.at                  |  40 +++---
 tests/data/por-file.at                         |  16 +--
 tests/data/sys-file-reader.at                  | 190 ++++++++++++-------------
 tests/data/sys-file.at                         |  38 ++---
 tests/language/command.at                      |  10 +-
 tests/language/control/do-if.at                |   4 +-
 tests/language/control/do-repeat.at            |  12 +-
 tests/language/control/loop.at                 |  16 +--
 tests/language/control/temporary.at            |   2 +-
 tests/language/data-io/add-files.at            |   6 +-
 tests/language/data-io/data-list.at            |  24 ++--
 tests/language/data-io/data-reader.at          |   8 +-
 tests/language/data-io/dataset.at              |  12 +-
 tests/language/data-io/file-handle.at          |   2 +-
 tests/language/data-io/get-data-psql.at        |  10 +-
 tests/language/data-io/get-data-spreadsheet.at |  20 +--
 tests/language/data-io/get-data-txt.at         |  20 +--
 tests/language/data-io/get.at                  |   6 +-
 tests/language/data-io/inpt-pgm.at             |   8 +-
 tests/language/data-io/list.at                 |  12 +-
 tests/language/data-io/match-files.at          |  12 +-
 tests/language/data-io/print-space.at          |   8 +-
 tests/language/data-io/print.at                |  20 +--
 tests/language/data-io/save-translate.at       |   2 +-
 tests/language/data-io/save.at                 |   6 +-
 tests/language/data-io/update.at               |   6 +-
 tests/language/dictionary/attributes.at        |   4 +-
 tests/language/dictionary/delete-variables.at  |   2 +-
 tests/language/dictionary/formats.at           |   4 +-
 tests/language/dictionary/missing-values.at    |   4 +-
 tests/language/dictionary/mrsets.at            |  26 ++--
 tests/language/dictionary/rename-variables.at  |   6 +-
 tests/language/dictionary/split-file.at        |   4 +-
 tests/language/dictionary/sys-file-info.at     |  12 +-
 tests/language/dictionary/value-labels.at      |  12 +-
 tests/language/dictionary/variable-display.at  |   4 +-
 tests/language/dictionary/vector.at            |   8 +-
 tests/language/dictionary/weight.at            |   2 +-
 tests/language/expressions/evaluate.at         |  14 +-
 tests/language/expressions/parse.at            |   4 +-
 tests/language/lexer/lexer.at                  |   4 +-
 tests/language/lexer/q2c.at                    |   2 +-
 tests/language/lexer/variable-parser.at        |   2 +-
 tests/language/stats/aggregate.at              |  10 +-
 tests/language/stats/autorecode.at             |  14 +-
 tests/language/stats/correlations.at           |  12 +-
 tests/language/stats/crosstabs.at              |  44 +++---
 tests/language/stats/descriptives.at           |  22 +--
 tests/language/stats/examine.at                |  42 +++---
 tests/language/stats/factor.at                 |  12 +-
 tests/language/stats/flip.at                   |   4 +-
 tests/language/stats/frequencies.at            |  40 +++---
 tests/language/stats/glm.at                    |  10 +-
 tests/language/stats/graph.at                  |  20 +--
 tests/language/stats/logistic.at               |  26 ++--
 tests/language/stats/means.at                  |  20 +--
 tests/language/stats/npar.at                   |  74 +++++-----
 tests/language/stats/oneway.at                 |  38 ++---
 tests/language/stats/quick-cluster.at          |  24 ++--
 tests/language/stats/rank.at                   |  24 ++--
 tests/language/stats/regression.at             |  30 ++--
 tests/language/stats/reliability.at            |  10 +-
 tests/language/stats/roc.at                    |   6 +-
 tests/language/stats/sort-cases.at             |   4 +-
 tests/language/stats/t-test.at                 |  50 +++----
 tests/language/utilities/cache.at              |   2 +-
 tests/language/utilities/cd.at                 |   2 +-
 tests/language/utilities/date.at               |   2 +-
 tests/language/utilities/insert.at             |  16 +--
 tests/language/utilities/permissions.at        |   4 +-
 tests/language/utilities/set.at                |   8 +-
 tests/language/utilities/show.at               |   4 +-
 tests/language/utilities/title.at              |   2 +-
 tests/language/xforms/compute.at               |  10 +-
 tests/language/xforms/count.at                 |   4 +-
 tests/language/xforms/recode.at                |  20 +--
 tests/language/xforms/sample.at                |   4 +-
 tests/language/xforms/select-if.at             |   2 +-
 tests/libpspp/float-format.at                  |   2 +-
 tests/math/moments.at                          |   2 +-
 tests/math/randist.at                          |   2 +-
 tests/output/ascii.at                          |   4 +-
 tests/output/charts.at                         |  14 +-
 tests/output/render.at                         |   2 +-
 tests/output/tables.at                         |   2 +-
 tests/perl-module.at                           |  12 +-
 tests/ui/terminal/main.at                      |   6 +-
 94 files changed, 692 insertions(+), 680 deletions(-)

diff --git a/tests/atlocal.in b/tests/atlocal.in
index 29886a0..bb057c9 100644
--- a/tests/atlocal.in
+++ b/tests/atlocal.in
@@ -9,6 +9,7 @@ WITH_PERL_MODULE='@WITH_PERL_MODULE@'
 host='@host@'
 PACKAGE_STRING='@PACKAGE_STRING@'
 PACKAGE_BUGREPORT='@PACKAGE_BUGREPORT@'
+top_builddir=''
 
 PSQL_SUPPORT='@PSQL_SUPPORT@'
 if test "$PSQL_SUPPORT" = yes; then
@@ -36,8 +37,19 @@ export CHARSETALIASDIR
 GZIP=
 export GZIP
 
+WINEPREFIX=$HOME/.wine    # Work around the following kludge to keep wine happy
+export WINEPREFIX
+
+
 HOME=/nonexistent		# Kluge to make PSPP ignore $HOME/.pspprc.
 export HOME
 
+PSPP=$abs_top_builddir/src/ui/terminal/pspp$EXEEXT
+export PSPP
+
+PSPPCONVERT=$abs_top_builddir/utilities/pspp-convert$EXEEXT
+export PSPPCONVERT
+
+
 # Avoids error messages during tests if $TERM is set to an unknown terminal.
 TERM=; unset TERM
diff --git a/tests/data/calendar.at b/tests/data/calendar.at
index 4b64ecd..4c972d1 100644
--- a/tests/data/calendar.at
+++ b/tests/data/calendar.at
@@ -86,7 +86,7 @@ DEBUG EVALUATE/DATE.DMY(1,1,99) = DATE.DMY(1,1,2099).
 DEBUG EVALUATE/DATE.DMY(1,1,100).
 ])
 
-AT_CHECK([pspp --testing-mode --error-file=- --no-output epoch.sps], [1],
+AT_CHECK([$RUNNER $PSPP --testing-mode --error-file=- --no-output epoch.sps], [1],
   [true
 true
 true
diff --git a/tests/data/data-in.at b/tests/data/data-in.at
index cfe965c..a01f56f 100644
--- a/tests/data/data-in.at
+++ b/tests/data/data-in.at
@@ -392,7 +392,7 @@ DATA LIST FILE='num-in.data' NOTABLE/
 PRINT OUTFILE='num-in.out'/all (6f10.4).
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv num-in.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv num-in.sps])
 AT_CHECK([gzip -cd < $top_srcdir/tests/data/num-in.expected.gz > expout])
 AT_CHECK([cat num-in.out], [0], [expout])
 AT_CLEANUP
@@ -476,7 +476,7 @@ list.
 *** Do the nonportable output for fun. 
 descriptives BIGNUM.
 ])
-AT_CHECK([pspp -o pspp.csv bignum.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv bignum.sps], [0], [ignore])
 AT_CLEANUP
 
 AT_SETUP([DATE input format])
@@ -486,7 +486,7 @@ AT_CHECK([$PERL test-my-rand.pl])
 AT_CHECK([$PERL date-in.pl date d-m-y])
 AT_CHECK([test -s date.sps])
 AT_CHECK([test -s date.in])
-AT_CHECK([pspp -O format=csv date.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv date.sps])
 AT_CHECK([cat date.out], [0], [dnl
     2071958400.00
     2071958400.00
@@ -698,7 +698,7 @@ AT_CHECK([$PERL test-my-rand.pl])
 AT_CHECK([$PERL date-in.pl adate m-d-y])
 AT_CHECK([test -s adate.sps])
 AT_CHECK([test -s adate.in])
-AT_CHECK([pspp -O format=csv adate.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv adate.sps])
 AT_CHECK([cat adate.out], [0], [dnl
     2071958400.00
     2071958400.00
@@ -910,7 +910,7 @@ AT_CHECK([$PERL test-my-rand.pl])
 AT_CHECK([$PERL date-in.pl edate d-m-y])
 AT_CHECK([test -s edate.sps])
 AT_CHECK([test -s edate.in])
-AT_CHECK([pspp -O format=csv edate.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv edate.sps])
 AT_CHECK([cat edate.out], [0], [dnl
     2071958400.00
     2071958400.00
@@ -1122,7 +1122,7 @@ AT_CHECK([$PERL test-my-rand.pl])
 AT_CHECK([$PERL date-in.pl jdate j])
 AT_CHECK([test -s jdate.sps])
 AT_CHECK([test -s jdate.in])
-AT_CHECK([pspp -O format=csv jdate.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv jdate.sps])
 AT_CHECK([cat jdate.out], [0], [dnl
     2071958400.00
     2071958400.00
@@ -1334,7 +1334,7 @@ AT_CHECK([$PERL test-my-rand.pl])
 AT_CHECK([$PERL date-in.pl sdate y-m-d])
 AT_CHECK([test -s sdate.sps])
 AT_CHECK([test -s sdate.in])
-AT_CHECK([pspp -O format=csv sdate.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv sdate.sps])
 AT_CHECK([cat sdate.out], [0], [dnl
     2071958400.00
     2071958400.00
@@ -1546,7 +1546,7 @@ AT_CHECK([$PERL test-my-rand.pl])
 AT_CHECK([$PERL date-in.pl qyr qQy])
 AT_CHECK([test -s qyr.sps])
 AT_CHECK([test -s qyr.in])
-AT_CHECK([pspp -O format=csv qyr.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv qyr.sps])
 AT_CHECK([cat qyr.out], [0], [dnl
     2065910400.00
     2065910400.00
@@ -1758,7 +1758,7 @@ AT_CHECK([$PERL test-my-rand.pl])
 AT_CHECK([$PERL date-in.pl moyr m-y])
 AT_CHECK([test -s moyr.sps])
 AT_CHECK([test -s moyr.in])
-AT_CHECK([pspp -O format=csv moyr.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv moyr.sps])
 AT_CHECK([cat moyr.out], [0], [dnl
     2071180800.00
     2071180800.00
@@ -1970,7 +1970,7 @@ AT_CHECK([$PERL test-my-rand.pl])
 AT_CHECK([$PERL date-in.pl wkyr wWy])
 AT_CHECK([test -s wkyr.sps])
 AT_CHECK([test -s wkyr.in])
-AT_CHECK([pspp -O format=csv wkyr.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv wkyr.sps])
 AT_CHECK([cat wkyr.out], [0], [dnl
     2071958400.00
     2071958400.00
@@ -2182,7 +2182,7 @@ AT_CHECK([$PERL test-my-rand.pl])
 AT_CHECK([$PERL date-in.pl datetime "d-m-y +H:M" "d-m-y +H:M:S"])
 AT_CHECK([test -s datetime.sps])
 AT_CHECK([test -s datetime.in])
-AT_CHECK([pspp -O format=csv datetime.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv datetime.sps])
 AT_CHECK([cat datetime.out], [0], [dnl
     2071958400.00
     2071958400.00
@@ -2594,7 +2594,7 @@ AT_CHECK([$PERL test-my-rand.pl])
 AT_CHECK([$PERL time-in.pl 0 time +H:M +H:M:S])
 AT_CHECK([test -s time.sps])
 AT_CHECK([test -s time.data])
-AT_CHECK([pspp -O format=csv time.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv time.sps])
 AT_CHECK([cat time.out], [0], [dnl
               .00
               .00
@@ -3006,7 +3006,7 @@ AT_CHECK([$PERL test-my-rand.pl])
 AT_CHECK([$PERL time-in.pl 2000 dtime '+D H:M' '+D H:M:S'])
 AT_CHECK([test -s dtime.sps])
 AT_CHECK([test -s dtime.data])
-AT_CHECK([pspp -O format=csv dtime.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv dtime.sps])
 AT_CHECK([cat dtime.out], [0], [dnl
               .00
               .00
@@ -3428,7 +3428,7 @@ EXECUTE.
 ])
 AT_CHECK([gzip -cd < $top_srcdir/tests/data/binhex-in.expected.cmp.gz | \
             $PERL -pe "printf ' %04X ', $.-1" > expout])
-AT_CHECK([pspp -O format=csv binhex-in.sps], [0])
+AT_CHECK([$RUNNER $PSPP -O format=csv binhex-in.sps], [0])
 AT_CHECK([cat binhex-in.out], [0], [expout])
 AT_CLEANUP
 
@@ -3448,7 +3448,7 @@ EXECUTE.
 ])
 AT_CHECK([gzip -cd < $top_srcdir/tests/data/bcd-in.expected.cmp.gz | \
             $PERL -pe "printf ' %04X ', $.-1" > expout])
-AT_CHECK([pspp -O format=csv bcd-in.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv bcd-in.sps])
 AT_CHECK([cat bcd-in.out], [0], [expout])
 AT_CLEANUP
 
@@ -3468,7 +3468,7 @@ EXECUTE.
 ])
 AT_CHECK([gzip -cd < $top_srcdir/tests/data/legacy-in.expected.cmp.gz | \
             $PERL -pe "printf ' %04X ', $.-1" > expout])
-AT_CHECK([pspp -O format=csv legacy-in.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv legacy-in.sps])
 AT_CHECK([cat legacy-in.out], [0], [expout])
 AT_CLEANUP
 
@@ -3499,7 +3499,7 @@ FORMATS ALL (WKDAY2).
 PRINT OUTFILE='wkday.out'/ALL.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv wkday.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv wkday.sps], [0], [dnl
 wkday.sps:20.1-20.2: warning: Data for variable wkday2 is not valid as format WKDAY: Unrecognized weekday name.  At least the first two letters of an English weekday name must be specified.
 
 wkday.sps:20.1-20.3: warning: Data for variable wkday3 is not valid as format WKDAY: Unrecognized weekday name.  At least the first two letters of an English weekday name must be specified.
@@ -3594,7 +3594,7 @@ FORMATS ALL (MONTH3).
 PRINT OUTFILE='month.out'/ALL.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv month.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv month.sps], [0], [dnl
 month.sps:15.1-15.4: warning: Data for variable month4 is not valid as format MONTH: Unrecognized month format.  Months may be specified as Arabic or Roman numerals or as at least 3 letters of their English names.
 
 month.sps:15.1-15.5: warning: Data for variable month5 is not valid as format MONTH: Unrecognized month format.  Months may be specified as Arabic or Roman numerals or as at least 3 letters of their English names.
diff --git a/tests/data/data-out.at b/tests/data/data-out.at
index 0f8c6bf..8027916 100644
--- a/tests/data/data-out.at
+++ b/tests/data/data-out.at
@@ -45,7 +45,7 @@ for my $format (qw (F COMMA DOT DOLLAR PCT E CCA CCB CCC CCD CCE N Z)) {
 print "EXECUTE.\n";
 ]])
 AT_CHECK([$PERL num-out.pl > num-out.sps])
-AT_CHECK([pspp -O format=csv num-out.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv num-out.sps])
 AT_CHECK([inexactify$EXEEXT < output.txt > output.inexact])
 AT_CHECK([gzip -cd < $top_srcdir/tests/data/num-out.expected.cmp.gz > expout.cmp])
 AT_DATA([num-out-decmp.pl],
@@ -215,7 +215,7 @@ sub increment {
     return $_;
 }
 ]])
-AT_CHECK([$PERL num-out-compare.pl $PSPP_NUM_OUT_COMPARE_FLAGS expout.inexact output.inexact])
+AT_CHECK([$PERL num-out-compare.pl $RUNNER $PSPP_NUM_OUT_COMPARE_FLAGS expout.inexact output.inexact])
 AT_CLEANUP
 
 AT_SETUP([non-ASCII custom currency formats])
@@ -235,7 +235,7 @@ BEGIN DATA.
 -1.5e10
 END DATA.
 ])
-AT_CHECK([pspp -O format=csv data-out.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv data-out.sps], [0], [dnl
 "data-out.sps:2: note: SHOW: CCA is «,¥,€,»."
 
 1.00   ¥1.00€ @&t@
@@ -367,7 +367,7 @@ WRITE OUTFILE=output/
 						/* 0fe
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv binhex-out.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv binhex-out.sps])
 AT_CHECK([gzip -cd < $top_srcdir/tests/data/binhex-out.expected.gz > expout])
 AT_CHECK([cat binhex.out], [0], [expout])
 AT_CLEANUP
@@ -419,7 +419,7 @@ print outfile='date-out.out'/x(datetime25.4).
 print outfile='date-out.out'/x(datetime26.5).
 execute.
 ])
-AT_CHECK([pspp -O format=csv date-out.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv date-out.sps])
 AT_CHECK([cat date-out.out], [0], [dnl
  ********* | 10-JUN-1648
  ******** | 06/10/1648
@@ -835,7 +835,7 @@ print outfile='bad-date.out'/x(datetime25.4).
 print outfile='bad-date.out'/x(datetime26.5).
 execute.
 ])
-AT_CHECK([pspp -O format=csv bad-date.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv bad-date.sps])
 AT_CHECK([cat bad-date.out], [0], [dnl
          . |           .
         . |          .
@@ -1169,7 +1169,7 @@ print outfile='time-out.out'/x(dtime18.5).
 print outfile='time-out.out'/x(dtime18.6).
 execute.
 ])
-AT_CHECK([pspp -O format=csv time-out.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv time-out.sps])
 AT_CHECK([cat time-out.out], [0], [dnl
   0:00
    0:00
@@ -14044,7 +14044,7 @@ print outfile='month-out.out'/x(month39).
 print outfile='month-out.out'/x(month40).
 execute.
 ])
-AT_CHECK([pspp -O format=csv month-out.sps], [1], [stdout])
+AT_CHECK([$RUNNER $PSPP -O format=csv month-out.sps], [1], [stdout])
 AT_CHECK([[sed '/^$/d' stdout | sort | uniq -c | sed 's/^[ 	]*//']], [0],
 [dnl
 38 error: Month number 0.000000 is not between 1 and 12.
@@ -14960,7 +14960,7 @@ print outfile='wkday-out.out'/x(format).
 end repeat.
 execute.
 ])
-AT_CHECK([pspp -O format=csv wkday-out.sps], [1], [stdout])
+AT_CHECK([$RUNNER $PSPP -O format=csv wkday-out.sps], [1], [stdout])
 AT_CHECK([[sed '/^$/d' stdout | sort | uniq -c | sed 's/^[ 	]*//']], [0],
 [dnl
 39 error: Weekday number 0.000000 is not between 1 and 7.
diff --git a/tests/data/encrypted-file.at b/tests/data/encrypted-file.at
index 15a5ce2..e0fcf82 100644
--- a/tests/data/encrypted-file.at
+++ b/tests/data/encrypted-file.at
@@ -2,8 +2,8 @@ AT_BANNER([encrypted files])
 
 AT_SETUP([decrypt an encrypted system file])
 AT_KEYWORDS([system file decrypt pspp-convert])
-AT_CHECK([pspp-convert $srcdir/data/hotel-encrypted.sav hotel.sav -p pspp])
-AT_CHECK([pspp-convert hotel.sav hotel.csv])
+AT_CHECK([$RUNNER $PSPPCONVERT $srcdir/data/hotel-encrypted.sav hotel.sav -p pspp])
+AT_CHECK([$RUNNER $PSPPCONVERT hotel.sav hotel.csv])
 AT_CHECK([cat hotel.csv], [0], [dnl
 v1,v2,v3,v4,v5
 4,2,3,4,1
@@ -28,7 +28,7 @@ AT_CLEANUP
 
 AT_SETUP([decrypt an encrypted syntax file])
 AT_KEYWORDS([syntax file decrypt pspp-convert])
-AT_CHECK([pspp-convert $srcdir/data/test-encrypted.sps test.sps -p password])
+AT_CHECK([$RUNNER $PSPPCONVERT $srcdir/data/test-encrypted.sps test.sps -p password])
 
 # The sample file is not ideal: lines end in CRLF and its last line
 # lacks a new-line, so "sed" and "echo" make it easier to work with.
diff --git a/tests/data/file.at b/tests/data/file.at
index bccdf00..e2087ff 100644
--- a/tests/data/file.at
+++ b/tests/data/file.at
@@ -12,7 +12,7 @@ END DATA.
 SAVE OUTFILE='foobar.sav'.
 ])
 
-AT_CHECK([pspp -O format=csv file.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv file.sps], [1], [dnl
 error: Opening foobar.sav for writing: Is a directory.
 
 error: Error opening `foobar.sav' for writing as a system file: Is a directory.
@@ -35,7 +35,7 @@ END DATA.
 SAVE OUTFILE='directory/foobar.sav'.
 ])
 
-AT_CHECK([pspp -O format=csv file.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv file.sps], [1], [dnl
 error: Creating temporary file to replace directory/foobar.sav: Permission denied.
 
 error: Error opening `directory/foobar.sav' for writing as a system file: Permission denied.
@@ -59,7 +59,7 @@ HOST COMMAND=[['rm foobar.savtmp*']].
 EXECUTE.
 ])
 
-AT_CHECK([pspp -O format=csv file.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv file.sps], [1], [ignore])
 
 AT_CLEANUP
 
@@ -82,7 +82,7 @@ mkfifo foobar.sav
 cat foobar.sav > /dev/null & 
 pid=$!
 
-AT_CHECK([pspp -O format=csv file.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv file.sps], [0], [ignore])
 
 AT_CLEANUP
 
@@ -95,7 +95,7 @@ data list file='printf "1 2\n 3 4\n 5 6\n" |' notable list /x * y *.
 list.
 ])
 
-AT_CHECK([pspp -O format=csv pipe.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pipe.sps], [0], [dnl
 Table: Data List
 x,y
 1.00,2.00
diff --git a/tests/data/format-guesser.at b/tests/data/format-guesser.at
index 764d0f1..4a48e6f 100644
--- a/tests/data/format-guesser.at
+++ b/tests/data/format-guesser.at
@@ -128,7 +128,7 @@ s/[ 	]*$//
 /^$/d
 s,^\(.*\)=> \(.*\)$,DEBUG FORMAT GUESSER \1.,') \
            < format-guesser.txt > format-guesser.sps]])
-AT_CHECK([pspp --testing-mode -O format=csv format-guesser.sps],
+AT_CHECK([$RUNNER $PSPP --testing-mode -O format=csv format-guesser.sps],
   [0], [], [stderr])
 AT_CHECK([[sed -e 's/#.*//
 s/[ 	]*$//
diff --git a/tests/data/pc+-file-reader.at b/tests/data/pc+-file-reader.at
index a968e5d..27a9e77 100644
--- a/tests/data/pc+-file-reader.at
+++ b/tests/data/pc+-file-reader.at
@@ -87,7 +87,7 @@ DISPLAY FILE LABEL.
 DISPLAY DICTIONARY.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv pc+-file.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv pc+-file.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 File label: PSPP synthetic test file
 
@@ -207,7 +207,7 @@ DISPLAY FILE LABEL.
 DISPLAY DICTIONARY.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv pc+-file.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv pc+-file.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 File label: PSPP synthetic test file
 
@@ -342,7 +342,7 @@ DISPLAY FILE LABEL.
 DISPLAY DICTIONARY.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv pc+-file.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv pc+-file.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 File label: PSPP synthetic test file
 
@@ -407,7 +407,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 SYSFILE INFO FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [0], [dnl
 File:,pc+-file.sav
 Label:,PSPP synthetic test file
 Created:,11/28/14 15:11:00 by PCSPSS PSPP synthetic test product
@@ -498,7 +498,7 @@ LIST.
 
 SYSFILE INFO FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [0], [stdout], [])
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [0], [stdout], [])
 AT_CHECK([sed 's/default encoding.*For/default encoding.  For/' stdout], [0], [dnl
 "warning: `pc+-file.sav': Using default encoding.  For best results, specify an encoding explicitly.  Use SYSFILE INFO with ENCODING=""DETECT"" to analyze the possible encodings."
 
@@ -597,7 +597,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [0], [dnl
 "warning: `pc+-file.sav' near offset 0x0: Directory fields have unexpected values (1,2)."
 
 warning: `pc+-file.sav' near offset 0x100: Record 0 specifies unexpected system missing value 1 (0x1p+0).
@@ -654,7 +654,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [1], [dnl
 error: `pc+-file.sav' near offset 0x100: This is not an SPSS/PC+ system file.
 ])
 AT_CLEANUP
@@ -706,7 +706,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [0], [dnl
 warning: `pc+-file.sav' near offset 0x100: Record 0 has unexpected length 192.
 ])
 AT_CLEANUP
@@ -758,7 +758,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [1], [dnl
 error: `pc+-file.sav' near offset 0x100: Invalid compression type 2.
 ])
 AT_CLEANUP
@@ -810,7 +810,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [0], [dnl
 warning: `pc+-file.sav' near offset 0x100: Record 0 claims 1000 cases with 7 values per case (requiring at least 56000 bytes) but data record is only 56 bytes long.
 ])
 AT_CLEANUP
@@ -867,7 +867,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [0], [dnl
 warning: `pc+-file.sav' near offset 0x210: Variable label claimed to start at offset 1007 in labels record but labels record is only 16 bytes.
 
 warning: `pc+-file.sav' near offset 0x210: Value labels claimed to end at offset 72 in labels record but labels record is only 16 bytes.
@@ -926,7 +926,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [1], [dnl
 error: `pc+-file.sav' near offset 0x1b0: Record 1 has length 192 (expected 224).
 
 pc+-file.sps:1: error: GET: `pc+-file.sav': Data file dictionary has no variables.
@@ -980,7 +980,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [1], [dnl
 error: `pc+-file.sav' near offset 0x210: Variable 3 has invalid type 255.
 ])
 AT_CLEANUP
@@ -1032,7 +1032,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [1], [dnl
 error: `pc+-file.sav' near offset 0x210: Invalid variable name `#NUM'.
 ])
 AT_CLEANUP
@@ -1084,7 +1084,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [0], [dnl
 warning: `pc+-file.sav' near offset 0x230: Renaming variable with duplicate name `NUM1' to `VAR001'.
 
 warning: `pc+-file.sav' near offset 0x250: Renaming variable with duplicate name `NUM1' to `VAR002'.
@@ -1143,7 +1143,7 @@ AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [1], [dnl
 warning: `pc+-file.sav' near offset 0x100: Record 0 claims 3 cases with 7 values per case (requiring at least 168 bytes) but data record is only 144 bytes long.
 
 error: `pc+-file.sav' near offset 0x320: File ends in partial case.
@@ -1208,7 +1208,7 @@ AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [1], [dnl
 warning: `pc+-file.sav' near offset 0x100: Record 0 claims 3 cases with 7 values per case (requiring at least 168 bytes) but data record is only 144 bytes long.
 
 error: `pc+-file.sav' near offset 0x338: Case beginning at offset 0x00000300 extends past end of data record at offset 0x00000320.
@@ -1281,7 +1281,7 @@ DISPLAY FILE LABEL.
 DISPLAY DICTIONARY.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [0], [dnl
 File label: PSPP synthetic test file
 
 Variable,Description,Position
@@ -1347,7 +1347,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [0],
   [warning: `pc+-file.sav': Invalid weight index 10.
 ])
 AT_CLEANUP
@@ -1399,7 +1399,7 @@ AT_CHECK([sack --le pc+-file.sack > pc+-file.sav])
 AT_DATA([pc+-file.sps], [dnl
 GET FILE='pc+-file.sav' ENCODING='us-ascii'.
 ])
-AT_CHECK([pspp -O format=csv pc+-file.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv pc+-file.sps], [0],
   [warning: `pc+-file.sav' near offset 0x250: Cannot weight by string variable `STR1'.
 ])
 AT_CLEANUP
diff --git a/tests/data/por-file.at b/tests/data/por-file.at
index c23a047..2fe9bb7 100644
--- a/tests/data/por-file.at
+++ b/tests/data/por-file.at
@@ -11,7 +11,7 @@ BEGIN DATA.
 END DATA.
 EXPORT OUTFILE='output.por'.
 ])
-AT_CHECK([pspp -O format=csv porfile.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv porfile.sps])
 AT_CHECK([cmp output.por output.por.backup], [1], [ignore])
 AT_CLEANUP
 
@@ -27,7 +27,7 @@ END DATA.
 XEXPORT OUTFILE='output.por'.
 HOST COMMAND=['kill -TERM $PPID'].
 ]])
-AT_CHECK([pspp -O format=csv porfile.sps], [143], [], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv porfile.sps], [143], [], [ignore])
 AT_CHECK([cmp output.por output.por.backup])
 AT_CHECK(
   [for file in *.tmp*; do if test -e $file; then echo $file; exit 1; fi; done])
@@ -41,7 +41,7 @@ BEGIN DATA.
 END DATA.
 EXPORT OUTFILE='data.por'.
 ])
-AT_CHECK([pspp -O format=csv export.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv export.sps])
 AT_CHECK([test -s data.por])
 AT_CHECK(
   [for file in *.tmp*; do if test -e $file; then echo $file; exit 1; fi; done])
@@ -50,14 +50,14 @@ IMPORT FILE='data.por'.
 COMPUTE y = x * 2.
 EXPORT OUTFILE='data.por'.
 ])
-AT_CHECK([pspp -O format=csv export2.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv export2.sps])
 AT_CHECK(
   [for file in *.tmp*; do if test -e $file; then echo $file; exit 1; fi; done])
 AT_DATA([export3.sps], [dnl
 IMPORT FILE='data.por'.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv export3.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv export3.sps], [0], [dnl
 Table: Data List
 X,Y
 2,4.00
@@ -81,13 +81,13 @@ BEGIN DATA.
 END DATA.
 EXPORT OUTFILE='data.por'.
 ])
-AT_CHECK([pspp -O format=csv export.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv export.sps])
 AT_DATA([import.sps], [dnl
 IMPORT FILE='data.por'.
 DISPLAY DICTIONARY.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv import.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv import.sps], [0], [dnl
 Variable,Description,Position
 VAR1,"Format: F1.0
 
@@ -116,7 +116,7 @@ VAR1,VAR2,VAR3,VAR4,VAR5
 ])
 AT_DATA([sys-file-info.sps], [SYSFILE INFO FILE='data.por'
 ])
-AT_CHECK([pspp -O format=csv sys-file-info.sps | sed '/Encoding/d
+AT_CHECK([$RUNNER $PSPP -O format=csv sys-file-info.sps | sed '/Encoding/d
 /Integer Format/d
 /Real Format/d
 /Created/d
